All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
simple_none.c File Reference

Mixer Simple Element Class Interface. More...

## Functions

int | snd_mixer_simple_none_register (snd_mixer_t *mixer, struct snd_mixer_selem_regopt *options, snd_mixer_class_t **classp)
| Register mixer simple element class - none abstraction. More...

## Detailed Description

Mixer Simple Element Class Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org

Date
  2001-2004

Mixer simple element class interface.

## Function Documentation

int snd_mixer_simple_none_register | ( | snd_mixer_t * | mixer,
|  | struct snd_mixer_selem_regopt * | options,
|  | snd_mixer_class_t ** | classp
| ) |  |

Register mixer simple element class - none abstraction.

Parameters

  mixer | Mixer handle
  options | Options container
  classp | Pointer to returned mixer simple element class handle (or NULL)

Returns
  0 on success otherwise a negative error code